package com.common.commonlibtest.viewpagerlayoutmanager.rotate;


import com.common.commonlib.view.viewpagerlayoutmanager.RotateLayoutManager;
import com.common.commonlibtest.viewpagerlayoutmanager.BaseActivity;
import com.common.commonlibtest.viewpagerlayoutmanager.Util;

public class RotateLayoutActivity extends BaseActivity<RotateLayoutManager, RotatePopUpWindow> {

    @Override
    protected RotateLayoutManager createLayoutManager() {
        return new RotateLayoutManager(this, Util.Dp2px(this, 10));
    }

    @Override
    protected RotatePopUpWindow createSettingPopUpWindow() {
        return new RotatePopUpWindow(this, getViewPagerLayoutManager(), getRecyclerView());
    }
}
